C------------------------------------------------
      SUBROUTINE FAFEDE2(head,silofa)
C------------------------------------------------

      IMPLICIT NONE
C
C Normal variables definition
C
      INTEGER ERROR
C
      INTEGER i, j, ival
C
      INTEGER*4 head
C
      INTEGER ic, k, ke
      INTEGER*4 status
      INTEGER inf, sup
      INTEGER XO, YO, XE, YE
      integer silofa

      INTEGER*2 length, length2

      integer*4 st3 
      INTEGER st2,st1

      REAL CAL_PED(4,11,96), CAL_GOOD(4,11,96), CAL_THR(4,11,6)
      REAL CAL_RMS(4,11,96), CAL_BASE(4,11,6), CAL_VAR(4,11,6)

      DATA XO/177/ ! CODE_DSP_R XO = 101 10001
      DATA YO/173/ ! CODE_DSP_R YO = 101 01101
      DATA XE/170/ ! CODE_DSP_R XE = 101 01010
      DATA YE/182/ ! CODE_DSP_R YE = 101 10110

C         
C Begin !
C
      ERROR = 0
      ival = 0
C
C
C search for "FAFEDE"
C
            status = ISHFT(head,-16)
            st1 = IAND(status,'0000FFFF'x)
c            write (*,20) st1
c            print *,'in decimale: ',st1
c
c     0000FF00 since we don't care stuff different from 00 after DE
c            
            st2 = IAND(head,'0000FF00'x)
c            write (*,10) st2
c            print *,'in decimale: ',st2
            IF (ST1.EQ.64254.AND.ST2.EQ.56832) SILOFA = 1
c
 10         FORMAT(2X,'Status word 2:',2X,Z4)
 20         FORMAT(2X,'Status word 1:',2X,Z4)            
 100  continue
C
      RETURN
      END


